%global gem_name snmp

Name:           rubygem-%{gem_name}
Version:        1.3.2
Release:    1%{?dist}
Summary:        A Ruby implementation of SNMP (the Simple Network Management Protocol)
License:        MIT
URL:            https://github.com/hallidave/ruby-snmp
VCS:            https://github.com/hallidave/ruby-snmp
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby
BuildRequires:  rubygem(minitest)
BuildArch:      noarch

%if 0%{?el7}
Provides:       rubygem(%{gem_name}) = %{version}
%endif



%description
A Ruby implementation of SNMP (the Simple Network Management Protocol).


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
%if !0%{?el7}
pushd .%{gem_instdir}
ruby -Ilib -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd
%endif

%files
%dir %{gem_instdir}
%{gem_instdir}/data
%{gem_libdir}
%license %{gem_instdir}/README.rdoc
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-1
- initial build
